Fish_FishRankRankingCFG = {}

function Fish_FishRankRankingCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function Fish_FishRankRankingCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, StartRank = 1, EndRank = 1, RewardItme = {1,94,41,17}, RewardCount = {200000000,50,5,30}}
	self.datas[2] = {ID = 2, StartRank = 2, EndRank = 2, RewardItme = {1,94,41,17}, RewardCount = {150000000,30,4,20}}
	self.datas[3] = {ID = 3, StartRank = 3, EndRank = 3, RewardItme = {1,94,41,17}, RewardCount = {70000000,15,3,10}}
	self.datas[4] = {ID = 4, StartRank = 4, EndRank = 5, RewardItme = {1,94,41,17}, RewardCount = {30000000,5,2,5}}
	self.datas[5] = {ID = 5, StartRank = 6, EndRank = 10, RewardItme = {1,94,41,17}, RewardCount = {10000000,1,1,4}}
	self.datas[6] = {ID = 6, StartRank = 11, EndRank = 20, RewardItme = {1,17,8}, RewardCount = {5000000,3,10}}
	self.datas[7] = {ID = 7, StartRank = 21, EndRank = 50, RewardItme = {1,17,8}, RewardCount = {3000000,2,5}}
	self.datas[8] = {ID = 8, StartRank = 51, EndRank = 100, RewardItme = {1,17,8}, RewardCount = {1000000,1,1}}
end

Fish_FishRankRankingCFG:init()
